Package com.mckoi.database.control

## Interface DBConfig

All Known Implementing Classes:
  `AbstractDBConfig`, `DefaultDBConfig`

    public interface DBConfig

A container object of configuration details of a database system. This object can be used to programmatically setup configuration properies in a database system.

Author:
  Tobias Downer

### Method Summary

All Methods Instance Methods Abstract Methods
`java.io.File` `currentPath()` Returns the current path set for this configuration.
`java.lang.String` `getValue​(java.lang.String property_key)` Returns the value that was set for the configuration property with the given name.
`DBConfig` `immutableCopy()` Makes an immutable copy of this configuration.

### Method Detail

#### currentPath

    java.io.File currentPath()

Returns the current path set for this configuration. This is useful if the configuration is based on a configuration file that has path references relative to the configuration file. In this case, the path returned here would be the path to the configuration file.

#### getValue

    java.lang.String getValue​(java.lang.String property_key)

Returns the value that was set for the configuration property with the given name.

This method must always returns a value that the database engine can use provided the 'property_key' is a supported key. If the property key is not supported and the key was not set, null is returned.

#### immutableCopy

    DBConfig immutableCopy()

Makes an immutable copy of this configuration.